; Diese Datei wird nur dann gebraucht, wenn man partout
; mit dem Arm/Keil die gleichen Wrapper benutzen will,
; wie es beim GCC erforderlich ist.

         AREA    Wrapper, CODE, READONLY
         PRESERVE8                      ; 8-Byte aligned Stack
         THUMB


; Funktionen im GDI

              EXPORT FillLanes
FillLanes     PUSH  {LR}
              SVC    9
              POP   {PC}

              EXPORT LichtAus
LichtAus      PUSH  {LR}
              SVC    10
              POP   {PC}

              EXPORT LichtEin
LichtEin      PUSH  {LR}
              SVC    11
              POP   {PC}

              EXPORT FlipDisplay
FlipDisplay   PUSH  {LR}
              SVC    12
              POP   {PC}

              EXPORT ScrBlt
ScrBlt        PUSH  {LR}
              SVC    13
	      POP   {PC}

              EXPORT CgPixel_at
CgPixel_at    PUSH  {LR}
              SVC    14
              POP   {PC}

              EXPORT MoveTo
MoveTo        PUSH  {LR}
              SVC    15
	      POP   {PC}

              EXPORT LineTo
LineTo        PUSH  {LR}
              SVC    16
              POP   {PC}

              EXPORT CgFillRect
CgFillRect    PUSH  {LR}
              SVC    17
              POP   {PC}

              EXPORT CgCh_at
CgCh_at       PUSH  {LR}
              SVC    18
              POP   {PC}

             EXPORT CgStr_at
CgStr_at     PUSH  {LR}
             SVC    19
             POP   {PC}

             EXPORT StringWidth
StringWidth  PUSH  {LR}
             SVC    20
             POP   {PC}

             EXPORT Get_dY
Get_dY       PUSH  {LR}
             SVC    21
             POP   {PC}

             EXPORT Get_Ascent
Get_Ascent   PUSH  {LR}
             SVC    22
             POP   {PC}

             EXPORT Get_Descent
Get_Descent  PUSH  {LR}
             SVC    23
             POP   {PC}

             EXPORT Get_dX
Get_dX       PUSH  {LR}
             SVC    24
             POP   {PC}

             EXPORT Get_Font
Get_Font     PUSH  {LR}
             SVC    25
             POP   {PC}

; Funktionen im Mensystem

               EXPORT DispatchEvent
DispatchEvent  PUSH  {LR}
               SVC    26
               POP   {PC}

               EXPORT LocalToScreen
LocalToScreen  PUSH  {LR}
               SVC    27
               POP   {PC}

               EXPORT Umrande
Umrande        PUSH  {LR}
               SVC    28
               POP   {PC}

               EXPORT PanelKeyHandlerEx
PanelKeyHandlerEx    PUSH  {LR}
               SVC    29
               POP   {PC}

               EXPORT PanelEventHandlerEx
PanelEventHandlerEx    PUSH  {LR}
               SVC    30
               POP   {PC}

               EXPORT PanelDrawProcEx
PanelDrawProcEx    PUSH  {LR}
               SVC    31
               POP   {PC}

               EXPORT ButtonDrawProcEx
ButtonDrawProcEx    PUSH  {LR}
               SVC    32
               POP   {PC}

               EXPORT Messagebox
Messagebox     PUSH  {LR}
               SVC    33
               POP   {PC}

               EXPORT GetSetMenu
GetSetMenu     PUSH  {LR}
               SVC    34
               POP   {PC}


; Funktionen der seriellen Schnittstelle

             EXPORT V24_Init
V24_Init     PUSH  {LR}
             SVC    35
             POP   {PC}

             EXPORT V24_Txfree
V24_Txfree   PUSH  {LR}
             SVC    36
             POP   {PC}

             EXPORT V24_CharOut
V24_CharOut  PUSH  {LR}
             SVC    37
             POP   {PC}

             EXPORT V24_StrOut
V24_StrOut   PUSH  {LR}
             SVC    38
             POP   {PC}

             EXPORT V24_CRLF
V24_CRLF     PUSH  {LR}
             SVC    39
             POP   {PC}

             EXPORT V24_CharAvail
V24_CharAvail    PUSH  {LR}
             SVC    40
             POP   {PC}

             EXPORT V24_CharIn
V24_CharIn   PUSH  {LR}
             SVC    41
             POP   {PC}


; Funktionen zum Abrufen von Tasten
             EXPORT IsKeyAvailable
IsKeyAvailable    PUSH  {LR}
             SVC    42
             POP   {PC}

             EXPORT IsKeyPressed
IsKeyPressed    PUSH  {LR}
             SVC    43
             POP   {PC}

             EXPORT GetKey
GetKey    PUSH  {LR}
             SVC    44
             POP   {PC}

             EXPORT TranslateKeynum
TranslateKeynum    PUSH  {LR}
             SVC    45
             POP   {PC}

             EXPORT TastenZustand
TastenZustand    PUSH  {LR}
             SVC    46
             POP   {PC}


; hier kommen alle spter dazugekommenen Funktionen
             EXPORT CgPicture_at
CgPicture_at PUSH  {LR}
             SVC    47
             POP   {PC}

             EXPORT
CgCircle_at  PUSH  {LR}
             SVC    48
             POP   {PC}

             EXPORT Ich_selected
Ich_selected PUSH  {LR}
             SVC    49
             POP   {PC}

             EXPORT StringCopy
StringCopy   PUSH  {LR}
             SVC    50
             POP   {PC}

             EXPORT StringAdd
StringAdd    PUSH  {LR}
             SVC    51
             POP   {PC}

             EXPORT Add_Delayed_Event
Add_Delayed_Event  PUSH  {LR}
             SVC    52
             POP   {PC}

             EXPORT  Add_Event
Add_Event    PUSH  {LR}
             SVC    53
             POP   {PC}

             EXPORT  Event_avail
Event_avail  PUSH  {LR}
             SVC    54
             POP   {PC}

             EXPORT  Get_Event
Get_Event    PUSH  {LR}
             SVC    55
             POP   {PC}

             EXPORT  PlaySound
PlaySound    PUSH  {LR}
             SVC    56
             POP   {PC}

             EXPORT  GetNibble
GetNibble    PUSH  {LR}
             SVC    57
             POP   {PC}

             EXPORT  Hex_In
Hex_In       PUSH  {LR}
             SVC    58
             POP   {PC}

             EXPORT  Long_In
Long_In      PUSH  {LR}
             SVC    59
             POP   {PC}

             EXPORT  Float_In_Ex
Float_In_Ex  PUSH  {LR}
             SVC    60
             POP   {PC}

             EXPORT  FF_round
FF_round     PUSH  {LR}
             SVC    61
             POP   {PC}

             EXPORT  UpCase
UpCase       PUSH  {LR}
             SVC    62
             POP   {PC}

             EXPORT  IgnoreSpace
IgnoreSpace  PUSH  {LR}
             SVC    63
             POP   {PC}

             EXPORT  match
match        PUSH  {LR}
             SVC    64
             POP   {PC}

             EXPORT  Nibble_Out
Nibble_Out   PUSH  {LR}
             SVC    65
             POP   {PC}

             EXPORT  HexB_Out
HexB_Out     PUSH  {LR}
             SVC    66
             POP   {PC}

             EXPORT HexW_Out
HexW_Out     PUSH  {LR}
             SVC    67
             POP   {PC}

             EXPORT  HexL_Out
HexL_Out     PUSH  {LR}
             SVC    68
             POP   {PC}

             EXPORT  HexQ_Out
HexQ_Out     PUSH  {LR}
             SVC    69
             POP   {PC}

             EXPORT  Dezi_Out
Dezi_Out     PUSH  {LR}
             SVC    70
             POP   {PC}

             EXPORT  FF_Out
FF_Out       PUSH  {LR}
             SVC    71
             POP   {PC}

             EXPORT  LONGtoStr
LONGtoStr    PUSH  {LR}
             SVC    72
             POP   {PC}

             EXPORT  FFtoStr_Ex
FFtoStr_Ex   PUSH  {LR}
             SVC    73
             POP   {PC}


             ALIGN
             LTORG
             END

